%define product		RedirectionTool
%define version		1.0
%define release		3

%define zope_minver	2.7
%define plone_minver	2.0

%define zope_home	%{_prefix}/lib/zope
%define software_home	%{zope_home}/lib/python

Summary:	The Redirection Tool redirection to plone
Name:		zope-%{product}
Version:	%{version}
Release:	%mkrel %{release}
License:	GPL
Group:		System/Servers
Source:		RedirectionTool.tar.bz2
#http://www.plonesolutions.com/products/redirectiontool/%{version}/tarball/downloadableFile/at_download
URL:		http://www.plonesolutions.com/products/redirectiontool/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	noarch
Requires:	zope >= %{zope_minver}
Requires:	plone >= %{plone_minver}

Provides:	plone-RedirectionTool == %{version}
Obsoletes:	plone-RedirectionTool

%description
The Redirection Tool can be used for storing references to moved content to
enable redirects, or it can be used for giving objects multiple URLs (aliases).
If a page is not found, the tool looks at its list of redirects to see if there
is a match, and if so, it redirects to that page.
Made by Helge Tesdal at Plone Solutions sponsored by Learning Lab Denmark
The Redirection Tool is released under the GPL licence.
Future plans include a more intelligent 404 handling, where the tool would
either search for alternative pages based on the components of the requested URL
and automatically redirect if there is only one hit, otherwise display a limited
number of hits, or alternatively chop off URL components until it finds an
object that can be published to the user.

%prep
%setup -c

%build
# Not much, eh? :-)


%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}/%{software_home}/Products
%{__cp} -a * %{buildroot}%{software_home}/Products/


%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
	service zope restart
fi

%postun
if [ -f "%{_prefix}/bin/zopectl" ] && [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
	service zope restart
fi

%files
%defattr(0644, root, root, 0755)
%{software_home}/Products/*


%changelog
* Sun Aug 21 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.0-3mdk
- fix path on x86_64

* Mon Apr 25 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.0-2mdk
- use mkrel
- rename form plone-RedirectionTool to zope-RedirectionTool

* Sun Jan 30 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.0-1mdk
- initial contrib
